diff options
author | Dariusz Michaluk <d.michaluk@samsung.com> | 2024-02-13 15:44:51 +0100 |
---|---|---|
committer | Dariusz Michaluk <d.michaluk@samsung.com> | 2024-02-14 10:46:44 +0100 |
commit | c28e9eeaa4dccef63b3b237ebe8a8b5abb23e335 (patch) | |
tree | 504a1953b56446487f4759d3a5f348bbeb925461 /tests/decoding-invalid-x509.sh | |
parent | 1778d37a3eec1209d7c9c064318f3ff8c5132490 (diff) | |
parent | 031996ef501f8c3d0532f7df1c38cf2e540a4f11 (diff) | |
download | libtasn1-tizen.tar.gz libtasn1-tizen.tar.bz2 libtasn1-tizen.zip |
Upgrade to libtasn1 4.19.0HEADaccepted/tizen/unified/20240214.164006tizenaccepted/tizen_unified
Change-Id: I893fd2c90c487d6e13b0b10e25b2cafc408da180
Diffstat (limited to 'tests/decoding-invalid-x509.sh')
-rwxr-xr-x | tests/decoding-invalid-x509.sh | 48 |
1 files changed, 48 insertions, 0 deletions
diff --git a/tests/decoding-invalid-x509.sh b/tests/decoding-invalid-x509.sh new file mode 100755 index 0000000..af95584 --- /dev/null +++ b/tests/decoding-invalid-x509.sh @@ -0,0 +1,48 @@ +#!/bin/sh + +# Copyright (C) 2016-2022 Free Software Foundation, Inc. +# +# This program is free software: you can redistribute it and/or modify +# it under the terms of the GNU General Public License as published by +# the Free Software Foundation, either version 3 of the License, or +# (at your option) any later version. +# +# This program is distributed in the hope that it will be useful, +# but WITHOUT ANY WARRANTY; without even the implied warranty of +# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the +# GNU General Public License for more details. +# +# You should have received a copy of the GNU General Public License +# along with this program. If not, see <http://www.gnu.org/licenses/>. + +srcdir="${srcdir:-.}" + +if ! test -z "${VALGRIND}"; then + if test $RUN_EXPENSIVE_TESTS = yes; then + VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=7" + else + VALGRIND= + fi +fi + +TMPFILE=decoding-invalid.$$.tmp +ASN1DECODING="${ASN1DECODING:-../src/asn1Decoding$EXEEXT}" +ASN1PKIX="${ASN1PKIX:-pkix.asn}" + +# This tests an invalid input which caused an infinite recursion +# to certain libtasn1 versions. + +for i in "${srcdir}/invalid-x509/"*.der;do +$VALGRIND $ASN1DECODING -s "$ASN1PKIX" "$i" PKIX1.Certificate >$TMPFILE 2>&1 +ret=$? +if test $ret != 1;then + echo "Decoding failed for $i" + cat $TMPFILE + exit 1 +fi +echo "$(basename $i): ok" +done + +rm -f $TMPFILE + +exit 0 |